kdecore Library: KProtocolInfoFactory Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KProtocolInfoFactory Class Reference

KProtocolInfoFactory is a factory for getting KProtocolInfo. Factory for KProtocolInfo. More...

`#include <kprotocolinfofactory.h>`

Collaboration diagram for KProtocolInfoFactory:

[legend]
List of all members.

## Public Member Functions
KProtocolInfo * | findProtocol (const QString &protocol)
QStringList | protocols ()
## Static Public Member Functions
static KProtocolInfoFactory * | self ()
## Protected Member Functions
virtual KSycocaEntry * | createEntry (const QString &, const char *)
virtual KProtocolInfo * | createEntry (int offset)
virtual void | virtual_hook (int id, void *data)
## Protected Attributes
QMap< QString, KProtocolInfo::Ptr > | m_cache
## Static Protected Attributes
static KProtocolInfoFactory * | _self = 0

## Detailed Description

KProtocolInfoFactory is a factory for getting KProtocolInfo. Factory for KProtocolInfo.

The factory is a singleton (only one instance can exist).

Definition at line 40 of file kprotocolinfofactory.h.

## Member Function Documentation

static KProtocolInfoFactory* KProtocolInfoFactory::self | ( |  | ) | `[inline, static]`

| The instance of the KProtocolInfoFactory. Returns: the factory instance Definition at line 48 of file kprotocolinfofactory.h.

QStringList KProtocolInfoFactory::protocols | ( |  | ) |

| Returns list of all known protocols. Returns: a list of all protocols Definition at line 66 of file kprotocolinfofactory.cpp. References QValueList::begin(), QValueList::end(), and KProtocolInfo::name().

The documentation for this class was generated from the following files:

- kprotocolinfofactory.h
- kprotocolinfofactory.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:57 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003